Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.9
Description

When trying to replay on a different channel as described in the help page, the events still end up on their original channel:

jwienke@augit:~/Desktop/annotation-fixes$ ./bag-play --replay-strategy 'fixed-rate :rate 8' -c /nao
/vol/humavips/studies/Y2_Vernissage/corpus/slots/09/video.tide spread:/cam1/narf?name=4803

^[[A^Cjwienke@augit:~/workspace/rsb-video-writer$ ../../Desktop/flexirob-data/pre-tests/logger spread:/nao?name=4803
Now                             │Origin  │Sequenc…│Id      │Method    │Scope                           │Data                                    
│Wire-schema             │Data size
2012-07-20T11:32:01.889093+02:00│5EDEFD84│000002CC│DC40D48D│<nomethod>│/nao/vision/top/                │#(10 128
192 37 143 120 141 136 140 122 …│.rst.vision.Image       │  614,416
2012-07-20T11:32:01.915134+02:00│5EDEFD84│000002CD│85D0A026│<nomethod>│/nao/vision/top/                │#(10 128
192 37 141 121 142 132 142 121 …│.rst.vision.Image       │  614,416
2012-07-20T11:32:02.042343+02:00│5EDEFD84│000002CE│A5A4821E│<nomethod>│/nao/vision/top/                │#(10 128
192 37 144 125 144 131 143 127 …│.rst.vision.Image       │  614,416
2012-07-20T11:32:02.167978+02:00│5EDEFD84│000002CF│DE7451BC│<nomethod>│/nao/vision/top/                │#(10 128
192 37 145 119 144 133 144 119 …│.rst.vision.Image       │  614,416
2012-07-20T11:32:02.290978+02:00│5EDEFD84│000002D0│0CB76E53│<nomethod>│/nao/vision/top/                │#(10 128
192 37 145 120 142 128 142 121 …│.rst.vision.Image       │  614,416
2012-07-20T11:32:02.417225+02:00│5EDEFD84│000002D1│6FE1003C│<nomethod>│/nao/vision/top/                │#(10 128
192 37 144 124 143 130 143 125 …│.rst.vision.Image       │  614,416
^Cjwienke@augit:~/workspace/rsb-video-writer$ ../../Desktop/flexirob-data/pre-tests/logger spread:/cam1?name=4803

Related issues:
Blocked by Robotics Service Bus - Feature # 1425: Implement framework-level e... Resolved 02/19/2013

Associated revisions
Revision f61fcfa0 - 03/09/2013 09:53 AM - J. Moringen

Fixed processing of prefix scopes in src/rsb/construction.lisp

fixes #1091

    -  src/rsb/construction.lisp (header): updated copyright
  (bag->events channel uri): obtain prefix scope from
  `%make-playback-uri'; if necessary, create prefix-adding transform
  via `%make-scope-transform'
  (%make-playback-uri): determine and return prefix scope; updated
  documentation string accordingly
  (%make-scope-transform): new function; if necessary, create and
  return a prefix-adding transform
    -  test/rsb/protocol.lisp (events->bag-root::smoke): new test; ensure
  that replayed events get the configured prefix scope

    -  test/rsb/package.lisp (package rsbag.rsb.test): added used package
  iterate

Revision cf15eeb8 - 04/18/2013 02:12 PM - J. Moringen

Another fix for prefix scope processing in src/rsb/construction.lisp

refs #1091

    -  src/rsb/construction.lisp (%make-scope-transform): fixed predicate
  on channel type

    -  test/rsb/protocol.lisp (test bag->events-root::prefix-scope): fixed
  test

History
#1 - 07/20/2012 01:01 PM - J. Moringen
- Subject changed from replaying to different channel does not work to Replaying to different channel does not work

This a regression. The implementation relies on the informer overwriting the event scope which is not the case anymore.

I think, I will implement this in terms of the proposed scope rewriting mechanism (see [[rsb:Meetings2012-02-16]], but wasn't there a more detailed
discussion somewhere?).

#2 - 07/20/2012 10:05 PM - J. Moringen
- Status changed from New to In Progress
- Target version changed from rsb-0.7 to rsb-0.9

#3 - 03/09/2013 10:20 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsbag-cl|commit:f61fcfa0aa354d8750e84d175981632e533ed0ae.
